.CodeEditor {
    width: 100%;
    height: 100%;
    background-color: #EEEEEE;
    border: 2px solid #aaa;
    box-sizing: border-box;
}

.CodeEditor_Header {
    background-color: #888888;
    overflow: hidden;
    white-space: nowrap;
    display: block;
    height: 20px;
    width: 100%;
    position: relative;
    text-align: center;
}

.CodeEditor_Header > h3 {
    margin: auto auto;
    height: 20px;
    font-weight: bold;
    text-align: center;
    padding: 0px;
}

.CodeEditor_Header > button {
    display: block;
    position: absolute;
    top: 0;
    background-color: #d66;
    border: 2px solid #d66;
    font-weight: bold;
    height: 20px;
    color: white;
    padding: 0px;
}

.CodeEditor_Header > button:hover {
    background-color: #e99797;
    border: 2px solid #e99797;
}

.CodeEditor_Editor {
    width: 100%;
    height: calc(100% - 20px);
    display: block;
}

.CodeEditor_Format {
    width: 50px;
    left: 0;
}

.CodeEditor_Save {
    width: 50px;
    left: 51px;
}

.CodeEditor_Close {
    width: 20px;
    right: 0;
}

.CodeMirror-focused {
    background-color: #E7E7E7;
}